Subject: [PATCH v2 2/3] serial: mxs-auart: add the DMA support for mx28

From: [email-masked] (Huang Shijie)
Date: Thu, 15 Nov 2012 17:11:42 +0800

? 2012?11?15? 15:22, Lauri Hintsala ??:
> Hi,
>
> On 11/15/2012 05:20 AM, Huang Shijie wrote:
>> ? 2012?11?13? 17:42, Lauri Hintsala ??:
>>> Hi Huang,
>>>
>>> DMA support doesn't work with latest stable v3.6.5 or development
>>> 3.7-rc5 kernels. I get following error message when I open the serial
>>> port /dev/ttyAPP0:
>>>
>>> [ 48.730000] mxs-auart 8006a000.serial: step 1 error
>>> [ 48.750000] mxs-auart 8006a000.serial: We can not start up the DMA.
>>>
>> I tested this patch set in imx28-evk board Rev C with 
>> linux-next-20121114.
>> it works fine.
>>
>> Maybe you can try the linux-next code.
>
> I tested linux-next-20121114 on apx4devkit (imx28 based device) and I 
> got the same error message:
>
> # stty -F /dev/ttyAPP0 crtscts; microcom /dev/ttyAPP0 -s 115200
> [  133.710000] mxs-auart 8006a000.serial: step 1 error
> [  133.720000] mxs-auart 8006a000.serial: We can not start up the DMA.
Could you test this patch?

thanks
Huang  Shijie
-------------- next part --------------
A non-text attachment was scrubbed...
Name: 0001-fix-patch.patch
Type: text/x-patch
Size: 2010 bytes
Desc: not available
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20121115/10ceb0c7/attachment.bin>